#include "Resample/Coherence/FFSum.h"
#include "Resample/DWBA/DWBA_Scalar.h"
#include "Sample/HardParticle/FormFactorFullSphere.h"
#include "Tests/GTestWrapper/google_test.h"

class CoherentFFSumTest : public ::testing::Test {
};

TEST_F(CoherentFFSumTest, RelAbundance)
{
    FormFactorFullSphere ff(5.0);
    auto part = std::make_unique<const DWBA_Scalar>(ff);
    CoherentFFSum ffw(1.0, {part});
    EXPECT_EQ(1.0, ffw.relativeAbundance());
    EXPECT_EQ(5.0, ffw.radialExtension());
}
